GNU bug report logs - #32581
24.4; make recover-file a prompt instead of a warning

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Glenn Linderman <v+python@HIDDEN>; dated Thu, 30 Aug 2018 04:36:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 14 Jul 2019 17:18:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 13:18:37 2019
Received: from localhost ([127.0.0.1]:45804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmi8z-0001E3-BR
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 13:18:37 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hmi8x-0001Dv-9e
 for 32581 <at> debbugs.gnu.org; Sun, 14 Jul 2019 13:18:35 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hmi8u-0004Iz-Fu; Sun, 14 Jul 2019 19:18:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas =?utf-8?Q?R=C3=B6hler?= <andreas.roehler@HIDDEN>
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN>
 <m3h87qoy4g.fsf@HIDDEN>
 <6738fac4-f893-001c-2e40-cc4f241007d1@HIDDEN>
 <m3tvbo4vy7.fsf@HIDDEN>
 <6b2c17e0-9dd2-7675-483d-70fc7975fd18@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEV/AQMlAABTAQKeFxpH
 AAFlvZNhAAACK0lEQVQ4jV1T7YHrIAxzIANgzgMAYQBfeQNAjv1nejJpru3xI2kjbEn+oJ+dWRL3
 pnv3zQ6V9ewLEPUq7BpR0zdglqjUmEPTRPQE5jZYKLqmzIddv4HBXGV2IsfiLVFrzriIQSFjzjG5
 AFiXbyAOQdwU3wgB6pc4AxCzsZzc1SBPf4AIL6QOKnzzFwBZmWVK8tCUwK+/wDoRWcyG01cqHmcF
 OVFyjxouVdf1Ucf4OUsit3P0upwvrRH5euVEiveyQ48RM2TVGXvdQqVM5J0B+SKfM6baD84OPt44
 uPKZslUasvz+UoUQ6qduEpsj4hcgAMrZtBNq6z4AgTl4pkPT6jE9jc9A/dBC2xfaiwaTkY+JTOJg
 ucx8NBcIj5XK+hQpnwrt0e8BRXRXKpgPD0lqWYM7URIAw7o6RneHVwvv6qzEl0FhLuTzjq5wfOC7
 GvmchhUkLdl+6eoKjSFL8GmlXFICYfCI6rNYwJ8n5i+v7i4il5BvhL8agLzqgQTlDmVpJne5MIBf
 B8ADgCy5QeK4hNtwI6Le10K0NDFtbA0sxjHty4yyquO/A75jT6ZcpGWU9bbCN4/ZWz4Qk7aajYAy
 7FkHb47uaI9mvhyfwPFwBwjjcwvWXF259+DRqMOjfc8dvMjXPA1BMfwNXEgN3wjG3FLzH6k4VqwV
 5j2pb78jGhfk4CalteWv2bXjJbsfeuO4i4V/W8cYtLWcbwCanQ9y5dAPcg7/cB1yCxnwH+irfa7/
 1zcoAAAAAElFTkSuQmCC
Date: Sun, 14 Jul 2019 19:18:32 +0200
In-Reply-To: <6b2c17e0-9dd2-7675-483d-70fc7975fd18@HIDDEN> ("Andreas
 \=\?utf-8\?Q\?R\=C3\=B6hler\=22's\?\= message of "Sun,
 14 Jul 2019 19:06:12 +0200")
Message-ID: <m3d0ic4jrr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Andreas Röhler <andreas.roehler@HIDDEN> writes: >
   Understood  a fairly old version of python-mode.el was mentioned in > this
    report, not python.el developed here. Ah, I see. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas R=C3=B6hler <andreas.roehler@HIDDEN> writes:

> Understood=C2=A0 a fairly old version of python-mode.el was mentioned in
> this report, not python.el developed here.

Ah, I see.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 14 Jul 2019 17:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 13:04:23 2019
Received: from localhost ([127.0.0.1]:45780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmhvD-0000kK-F8
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 13:04:23 -0400
Received: from mout.kundenserver.de ([217.72.192.73]:49807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1hmhvA-0000jt-VQ
 for 32581 <at> debbugs.gnu.org; Sun, 14 Jul 2019 13:04:21 -0400
Received: from [192.168.178.39] ([88.130.49.39]) by mrelayeu.kundenserver.de
 (mreue109 [212.227.15.183]) with ESMTPSA (Nemesis) id
 1N5VPg-1iWPtU0rsI-016u8p; Sun, 14 Jul 2019 19:04:14 +0200
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN> <m3h87qoy4g.fsf@HIDDEN>
 <6738fac4-f893-001c-2e40-cc4f241007d1@HIDDEN>
 <m3tvbo4vy7.fsf@HIDDEN>
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
Message-ID: <6b2c17e0-9dd2-7675-483d-70fc7975fd18@HIDDEN>
Date: Sun, 14 Jul 2019 19:06:12 +0200
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:60.0) Gecko/20100101
 Thunderbird/60.7.2
MIME-Version: 1.0
In-Reply-To: <m3tvbo4vy7.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Provags-ID: V03:K1:jC4fp2PZnbGn8q8nQqfXKLeysmfNc8hHTWKZ7yRI4xGMZfNTpU8
 LKLCAW1uBEfoD0VUbAJO2WaQQsiVU6z8U2+ha04+DrRoiLRGfzU1hgxCYgqKyGKKzw6A/yR
 Xd9UWqqrCnFHuREplxzXyzDcdmECRLU7Y4AFBmVj87hvPWBO04eb/7OVXLgoOCp6ceMQi74
 3ODjjYtlKGE3i1+9AWYRg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:hFNF1XLYj6o=:stP0zw+kLgui9CSPe6B931
 Zp4gM2a0xwPBKEGDgVoV4pjv4TThcQaHU+hE2/AWoT3T0C03NoLpiwMOrfATE84Cw+PMlnRnx
 cAV6ao6+cYMUUPbL0jy81gbENBZPYHxA/NIeziS2dZRoJhtkGtyJr3hr8YAh53CgZXDLGiPC0
 5ZNZiWUacCthEed5TMOzasoSB4nSNoGhjK3MIDhTb1JwXDPgRLbPeIEx4zaikez670PZfqXzq
 cYz3dkqEFnt/BsMKIWFgaHU7G7/o5zyZrKRTgJNfTw89SRrVoPif0A2fCh0XEsERzbKLPpwDu
 o7KeVxrC34MUTmEe2roTkt+K215yXxJGOe2BunRB7lpyYRLzjrmAl+puRdRtUcZlkoPJeuULq
 h1FYm/TV0uraGd1Lcs2cmJ6L6d1HQen+LjeNkhY/8RDsn6M9etl4rFYX3I7sN5Pe+yazaHSqi
 sLK8P766B20sOr2s6lVOWnYb5yIYeLg02Ekw5I/l7nBknk28W2oK4RrEiH5n6v+9qwhC5N0F3
 xrY+PstqrrB039/Koj2lKv5FxGDCkgjV28Roa2YBTFizTrEkXSCpl1nI2WAcIPFL3JscUuoSc
 eYtTHMwgHsoCj4uruj2aMiJtYnwuoo7uWjawg2QsEUYEaI0s2xGDL2Qgsu1p2KzqcocgU8PsN
 BkvrbRgCCMG+KsNSmlj68SUM86iSbFz2udc1+vqkUoToDdvlM5IrTSKRLUxbU2Yfqnr4/BWNu
 pQgTlPk1bNdJFpqmCmm0Hi7Kpa4jfTf9Xb5Dp63EsFVse6lwroU+avC7s+mhOXxiipzaHLzTe
 A5BHVTs
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On 14.07.19 14:55, Lars Ingebrigtsen wrote:
>
> Yes, this isn't really a python-mode issue...
>
>> BTW bug-reports are welcome at
>> https://gitlab.com/python-mode-devs/python-mode/issues
> ... but there are a number of python-mode bugs in the Emacs bug tracker.
> Looks like about 40-ish, with an additional ten that are in the
> intersection of python mode and CEDET.
>
Understood  a fairly old version of python-mode.el was mentioned in this 
report, not python.el developed here.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 14 Jul 2019 12:55:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 08:55:34 2019
Received: from localhost ([127.0.0.1]:43977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hme2Q-0001vr-F1
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 08:55:34 -0400
Received: from quimby.gnus.org ([80.91.231.51]:51398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hme2O-0001vi-2o
 for 32581 <at> debbugs.gnu.org; Sun, 14 Jul 2019 08:55:32 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hme2K-0002Le-Be; Sun, 14 Jul 2019 14:55:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas =?utf-8?Q?R=C3=B6hler?= <andreas.roehler@HIDDEN>
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN>
 <m3h87qoy4g.fsf@HIDDEN>
 <6738fac4-f893-001c-2e40-cc4f241007d1@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEXc2t729vkiHR+9sreO
 dn/q6u5/N+tPAAACWElEQVQ4jV3TzZKbMAwAYBHjO56E+45x70pk7tRS7zhE7/8qlQmbpWUyOfiz
 /CPJAF5VH5HR9zHeQxiIHCJ5eEPixW8ldgaLA6IGNq7PKX95la/ZgB3NM36gLJwL4fdS2BlsXp9c
 KPnXC8OG3oBci3jNesmpT7OuXbj+Rocz093gOWt5TP0kvt7DFYVoYereEXLhXpKvXRhW0NXXMTRY
 lC8L5tTVGj7fDitnWoTCuFY9wbZcEfokc1AH3Rm+tOomdB/tyifwtpR6nwlWYv4fAFZBRyIngMsC
 q8MtIuUsc/2Bh13ZQS9MkjOeoKC2WxXqf+VMn6XIoK5YSagACdcw7vtAkojqyNvGfwbb3oewXxJi
 jGxhFTIHdE6sJOMHiMnrwuuMTpbjwA2SCKFbyA69Frn/QIxWg8uU6fpnKGU+Q+TuNl3Fy1DicloK
 tYZrugqzK5HrNyzWKHaU2A2ZucTpgMywQyg85CVbfPd9c4M2qaTxIZLKB9Ay3+ARl76I5PQ+FtiO
 1r7VG/BWZOoTHhFWOqc4G0gmQfiAjTtvXXsp0lLgE9UDMuXZcnqLIsJYZa/VCNnSYZsYiJWWfoAI
 iWYN9WULCUHYYVSwlNtPtb7aOPoxGYzagBnb63nZDFvpNoFF7ED2Fi0kS9utPhmOiGwTiXWVVkio
 D7b+1QZtIpLaUdtS3pLtRz0i0Po02bhdb4gWpTu0edaOCfbnfUv/gBUugWvwTNYwo+4poVysvhO0
 zz8msiLUPbvl6IcW4qOgfyfxGN4F/Wb/em6ftxBcDHzYk3iCKBBTu3iDv5httvTR+ZAeAAAAAElF
 TkSuQmCC
Date: Sun, 14 Jul 2019 14:55:28 +0200
In-Reply-To: <6738fac4-f893-001c-2e40-cc4f241007d1@HIDDEN> ("Andreas
 \=\?utf-8\?Q\?R\=C3\=B6hler\=22's\?\= message of "Sat,
 13 Jul 2019 18:26:00 +0200")
Message-ID: <m3tvbo4vy7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Andreas Röhler <andreas.roehler@HIDDEN> writes: >
   python-mode.el developer here. As for the abbrev-file-name, assume > that's
    a general warning from Emacs. > > Looking for the value of abbrev-file-name
    and creating a file of that > name if not exis [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas R=C3=B6hler <andreas.roehler@HIDDEN> writes:

> python-mode.el developer here. As for the abbrev-file-name, assume
> that's a general warning from Emacs.
>
> Looking for the value of abbrev-file-name and creating a file of that
> name if not existing should silence that warning.
>
> Also auto-save issue seems not mode-related.

Yes, this isn't really a python-mode issue...

> BTW bug-reports are welcome at
> https://gitlab.com/python-mode-devs/python-mode/issues

... but there are a number of python-mode bugs in the Emacs bug tracker.
Looks like about 40-ish, with an additional ten that are in the
intersection of python mode and CEDET.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 14 Jul 2019 12:50:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 14 08:50:54 2019
Received: from localhost ([127.0.0.1]:43973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmdxt-0001oU-PQ
	for submit <at> debbugs.gnu.org; Sun, 14 Jul 2019 08:50:54 -0400
Received: from quimby.gnus.org ([80.91.231.51]:51332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hmdxr-0001oL-OG
 for 32581 <at> debbugs.gnu.org; Sun, 14 Jul 2019 08:50:52 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hmdxm-0002Ih-V8; Sun, 14 Jul 2019 14:50:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Linderman <v+python@HIDDEN>
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN>
 <m3h87qoy4g.fsf@HIDDEN>
 <7128dbb2-de2c-45e2-2cd6-fd55bc8bb6ab@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEXc2t729vkiHR+9sreO
 dn/q6u5/N+tPAAACWElEQVQ4jV3TzZKbMAwAYBHjO56E+45x70pk7tRS7zhE7/8qlQmbpWUyOfiz
 /CPJAF5VH5HR9zHeQxiIHCJ5eEPixW8ldgaLA6IGNq7PKX95la/ZgB3NM36gLJwL4fdS2BlsXp9c
 KPnXC8OG3oBci3jNesmpT7OuXbj+Rocz093gOWt5TP0kvt7DFYVoYereEXLhXpKvXRhW0NXXMTRY
 lC8L5tTVGj7fDitnWoTCuFY9wbZcEfokc1AH3Rm+tOomdB/tyifwtpR6nwlWYv4fAFZBRyIngMsC
 q8MtIuUsc/2Bh13ZQS9MkjOeoKC2WxXqf+VMn6XIoK5YSagACdcw7vtAkojqyNvGfwbb3oewXxJi
 jGxhFTIHdE6sJOMHiMnrwuuMTpbjwA2SCKFbyA69Frn/QIxWg8uU6fpnKGU+Q+TuNl3Fy1DicloK
 tYZrugqzK5HrNyzWKHaU2A2ZucTpgMywQyg85CVbfPd9c4M2qaTxIZLKB9Ay3+ARl76I5PQ+FtiO
 1r7VG/BWZOoTHhFWOqc4G0gmQfiAjTtvXXsp0lLgE9UDMuXZcnqLIsJYZa/VCNnSYZsYiJWWfoAI
 iWYN9WULCUHYYVSwlNtPtb7aOPoxGYzagBnb63nZDFvpNoFF7ED2Fi0kS9utPhmOiGwTiXWVVkio
 D7b+1QZtIpLaUdtS3pLtRz0i0Po02bhdb4gWpTu0edaOCfbnfUv/gBUugWvwTNYwo+4poVysvhO0
 zz8msiLUPbvl6IcW4qOgfyfxGN4F/Wb/em6ftxBcDHzYk3iCKBBTu3iDv5httvTR+ZAeAAAAAElF
 TkSuQmCC
Date: Sun, 14 Jul 2019 14:50:46 +0200
In-Reply-To: <7128dbb2-de2c-45e2-2cd6-fd55bc8bb6ab@HIDDEN> (Glenn
 Linderman's message of "Sat, 13 Jul 2019 19:10:56 -0700")
Message-ID: <m3y3104w61.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Linderman <v+python@HIDDEN> writes: > This is
 a very interesting idea. It is only when you go to edit that > you would lose
 the auto-save file, so that would be a "last-chance" to > retrieve your data, 
 and you would be interacting with [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Linderman <v+python@HIDDEN> writes:

> This is a very interesting idea. It is only when you go to edit that
> you would lose the auto-save file, so that would be a "last-chance" to
> retrieve your data, and you would be interacting with the file at that
> point anyway, so a forced interaction would be less intrusive than at
> load time.

Yes, I think that warning about the auto-saved file when you try to edit
the new file has possibilities...  I'm wondering whether there would be
any adverse effects somehow.  Emacs has a number of things that warn
about editing files -- that it's changed on disk, or that another Emacs
process has the file locked, and now checking for auto-saved files in
the same area would perhaps add unforeseen complications.

But perhaps we should just try and see what it feels like in practice.

> My thought was more along the lines of some sort of message priority, where
> informational messages like the abbrev-file-name warning could not override a
> more important message... Of course, everyone thinks there message is most
> important, so that might be difficult to enforce or rank.

We do have a very primitive sort of message priority -- i.e., we have
some things that are so bad that we pop up the *Warnings* buffer.  But I
think that's too intrusive for auto-saved files.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 14 Jul 2019 02:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 22:11:12 2019
Received: from localhost ([127.0.0.1]:43670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmTyp-00034m-TB
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 22:11:12 -0400
Received: from cadetblue.birch.relay.mailchannels.net ([23.83.209.28]:64000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <v+python@HIDDEN>) id 1hmTyn-00034d-3Z
 for 32581 <at> debbugs.gnu.org; Sat, 13 Jul 2019 22:11:09 -0400
X-Sender-Id: interserver|x-authuser|email@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id C059B1A189A;
 Sun, 14 Jul 2019 02:11:07 +0000 (UTC)
Received: from webhosting2025.is.cc
 (100-96-30-63.trex.outbound.svc.cluster.local [100.96.30.63])
 (Authenticated sender: interserver)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3676E1A15AD;
 Sun, 14 Jul 2019 02:11:06 +0000 (UTC)
X-Sender-Id: interserver|x-authuser|email@HIDDEN
Received: from webhosting2025.is.cc ([TEMPUNAVAIL]. [64.20.52.82])
 (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.3); Sun, 14 Jul 2019 02:11:07 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: interserver|x-authuser|email@HIDDEN
X-MailChannels-Auth-Id: interserver
X-Ruddy-Abortive: 425cc9081ae70837_1563070267450_2262778579
X-MC-Loop-Signature: 1563070267450:2602636603
X-MC-Ingress-Time: 1563070267450
Received: from 24-205-219-131.dhcp.crcy.nv.charter.com ([24.205.219.131]:52328
 helo=[192.168.43.252])
 by webhosting2025.is.cc with esmtpsa (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim 4.92) (envelope-from <v+python@HIDDEN>)
 id 1hmTyb-003NbH-9a; Sat, 13 Jul 2019 22:10:59 -0400
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN> <m3h87qoy4g.fsf@HIDDEN>
From: Glenn Linderman <v+python@HIDDEN>
Message-ID: <7128dbb2-de2c-45e2-2cd6-fd55bc8bb6ab@HIDDEN>
Date: Sat, 13 Jul 2019 19:10:56 -0700
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <m3h87qoy4g.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------CBA5FA460B773F792F74F66A"
Content-Language: en-US
X-OutGoing-Spam-Status: No, score=-1.0
X-AuthUser: email@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------CBA5FA460B773F792F74F66A
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 7/13/2019 6:35 AM, Lars Ingebrigtsen wrote:
> Glenn Linderman <v+python@HIDDEN> writes:
>
>> I think you understood correctly.  I'm not sure what version of which
>> Python-mode I have, but could probably figure it out somehow (I love emacs,
>> because it has extensions, but I'm not real good at writing or understanding
>> elisp: I use other people's extensions, mostly, and a bit of cut-n-paste
>> programming for a few more customizations).
>>
>> Probably the following message, that I get every time I open the file.
>>
>> "Warning: no abbrev-file found, customize `abbrev-file-name' in order to make
>> mode-specific abbrevs work."
> Right.  Some modes are chatty at startup and hides warnings you're
> interested in.
>
> It's perfectly valid to not want to load an autosaved file, and making
> Emacs prompt would be an inconvenience, in my opinion.

I agree that a prompt (a forced interaction) would not be appropriate.
> Perhaps Emacs should treat auto-saved files a bit more like what it does
> with files that have changed?  I.e., if you try to edit a file with an
> auto-save file, it should prompt you something like "foo has auto save
> data; really edit the buffer?" or something?

This is a very interesting idea. It is only when you go to edit that you 
would lose the auto-save file, so that would be a "last-chance" to 
retrieve your data, and you would be interacting with the file at that 
point anyway, so a forced interaction would be less intrusive than at 
load time.

> Would that make sense?
>
That would certainly be safer than the current behavior, but would add 
the forced interaction.

My thought was more along the lines of some sort of message priority, 
where informational messages like the abbrev-file-name warning could not 
override a more important message... Of course, everyone thinks there 
message is most important, so that might be difficult to enforce or rank.

Another idea is that multiple messages could be displayed concurrently 
in an expanding echo area, and that none would vanish until the first 
user interaction. That way, when the user turns their attention to the 
emacs window again, all the messages from startup activities would be 
visible until the first keystroke or significant mouse operation (more 
than just a click) for the window occurs. This wouldn't require a forced 
interaction, and wouldn't require ranking message priorities, but would 
allow the user an opportunity to see all the startup messages. And it 
could generalize to non-startup situations: any occasion when macros or 
scripts are running and produce multiple messages without user 
interaction might want to grow the echo area to display them until there 
is another required user interaction.

Thanks for considering the possibility of enhancing something in this 
area, as it was a significant amount of work that was lost, and it could 
potentially happen again, and not just to me (I'm a little sensitized to 
the possibility now, others may not yet be).


--------------CBA5FA460B773F792F74F66A
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#330033" bgcolor="#FFFFFF">
    <div class="moz-cite-prefix">On 7/13/2019 6:35 AM, Lars Ingebrigtsen
      wrote:<br>
    </div>
    <blockquote type="cite" cite="mid:m3h87qoy4g.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">Glenn Linderman <a class="moz-txt-link-rfc2396E" href="mailto:v+python@HIDDEN">&lt;v+python@HIDDEN&gt;</a> writes:

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">I think you understood correctly.  I'm not sure what version of which
Python-mode I have, but could probably figure it out somehow (I love emacs,
because it has extensions, but I'm not real good at writing or understanding
elisp: I use other people's extensions, mostly, and a bit of cut-n-paste
programming for a few more customizations).

Probably the following message, that I get every time I open the file.

"Warning: no abbrev-file found, customize `abbrev-file-name' in order to make
mode-specific abbrevs work."
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">
Right.  Some modes are chatty at startup and hides warnings you're
interested in.

It's perfectly valid to not want to load an autosaved file, and making
Emacs prompt would be an inconvenience, in my opinion.</pre>
    </blockquote>
    <br>
    I agree that a prompt (a forced interaction) would not be
    appropriate.<br>
    <blockquote type="cite" cite="mid:m3h87qoy4g.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">Perhaps Emacs should treat auto-saved files a bit more like what it does
with files that have changed?  I.e., if you try to edit a file with an
auto-save file, it should prompt you something like "foo has auto save
data; really edit the buffer?" or something?</pre>
    </blockquote>
    <br>
    This is a very interesting idea. It is only when you go to edit that
    you would lose the auto-save file, so that would be a "last-chance"
    to retrieve your data, and you would be interacting with the file at
    that point anyway, so a forced interaction would be less intrusive
    than at load time.<br>
    <br>
    <blockquote type="cite" cite="mid:m3h87qoy4g.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">
Would that make sense?

</pre>
    </blockquote>
    That would certainly be safer than the current behavior, but would
    add the forced interaction.<br>
    <br>
    My thought was more along the lines of some sort of message
    priority, where informational messages like the abbrev-file-name
    warning could not override a more important message... Of course,
    everyone thinks there message is most important, so that might be
    difficult to enforce or rank.<br>
    <br>
    Another idea is that multiple messages could be displayed
    concurrently in an expanding echo area, and that none would vanish
    until the first user interaction. That way, when the user turns
    their attention to the emacs window again, all the messages from
    startup activities would be visible until the first keystroke or
    significant mouse operation (more than just a click) for the window
    occurs. This wouldn't require a forced interaction, and wouldn't
    require ranking message priorities, but would allow the user an
    opportunity to see all the startup messages. And it could generalize
    to non-startup situations: any occasion when macros or scripts are
    running and produce multiple messages without user interaction might
    want to grow the echo area to display them until there is another
    required user interaction.<br>
    <br>
    Thanks for considering the possibility of enhancing something in
    this area, as it was a significant amount of work that was lost, and
    it could potentially happen again, and not just to me (I'm a little
    sensitized to the possibility now, others may not yet be).<br>
    <br>
  </body>
</html>

--------------CBA5FA460B773F792F74F66A--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2019 16:24:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 12:24:18 2019
Received: from localhost ([127.0.0.1]:43256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmKor-0001l9-Qs
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 12:24:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:37587)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1hmKop-0001l0-Oo
 for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 12:24:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49576)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1hmKoo-0007ty-Ir
 for bug-gnu-emacs@HIDDEN; Sat, 13 Jul 2019 12:24:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1hmKon-0007NE-Da
 for bug-gnu-emacs@HIDDEN; Sat, 13 Jul 2019 12:24:14 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:46469)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andreas.roehler@HIDDEN>)
 id 1hmKon-0007GA-3U
 for bug-gnu-emacs@HIDDEN; Sat, 13 Jul 2019 12:24:13 -0400
Received: from [192.168.178.39] ([88.130.49.12]) by mrelayeu.kundenserver.de
 (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis) id
 1MXHBo-1hy0k62MPe-00Yhzw for <bug-gnu-emacs@HIDDEN>; Sat, 13 Jul 2019
 18:24:04 +0200
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
To: bug-gnu-emacs@HIDDEN
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN> <m3h87qoy4g.fsf@HIDDEN>
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
Message-ID: <6738fac4-f893-001c-2e40-cc4f241007d1@HIDDEN>
Date: Sat, 13 Jul 2019 18:26:00 +0200
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:60.0) Gecko/20100101
 Thunderbird/60.7.2
MIME-Version: 1.0
In-Reply-To: <m3h87qoy4g.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Provags-ID: V03:K1:TxKzUMVkrWT9BIWc1i31kbSQr324/kpva+sZ0Nd1Y1PnF8AbCTo
 85pHJ4grX//3zz+1W/Spf1ot6VS7y+FlWeSeNhGMUWDgRDc7L6P11ku2jO6ND/Gap44YNll
 +5UW8W2ydyaf/V2k/NBZFnLgl7dNEXfJmc1hIHZW0L32auNxlsVAZ2VxUTfHWYe1lgXbLv0
 X1s8iPXvqLD0kZNIbPXtw==
X-UI-Out-Filterresults: notjunk:1;V03:K0:dVcaANCBurw=:TP3RWT2bM7jhPOsxBfA7OX
 L5Hol+ZlLaxYtNcoN3LBOrQClFRI8o2VH/bYbpKjnKQC5iWC9fjpfMIxJZ6NdLU13fRcPBGdf
 G30U1f366rztQKQISI6SSiLnJ7oXFa0YMc2XJSJyr84T5+JYVQq/f5sfm3oRlQTxFBcKGZ0Oo
 poo9rVn6jpBSRp1KqbAjqgyDU1hHMDfxr6bX3Z7qRouOY8nfqDYjqedLODFEO0j1+Hq7HIhNs
 MmabEyWOs2/k4/g3EXls48RMeRLn4jP6/+/M6DsLkEw1FN31YyxOfaWXgSnqfe08u1IvJEtK3
 haW+v/vsVxPERRLK1CPO1EXMLv479EBKRGo5B2dtJxSkDQtQMi8CX4CoiGbwPZq9L4fWHOhHd
 3zlx/TXLqTdl4cweQNSBvbDgYdNRMT45y6Oq6cw/4Nbf01koY160fwCiRF1a6rxH7A35HamzD
 Ugk3Rrp5iktY6IBKe1dgmp/0AaIdks7zsauLwA60pI1ex/l8jBYQIkN3aFQF+TZPBDNvwTTRq
 u3cweDtCnuvrUHOXpDlM0j0RLE/9QxTSVDA2A496nejRBkYE6XAEHIaDmaXk/UO1B5L/40DN8
 QRRQaB0fGzi8JoTAA7DvWttbdAfLY/vyFyC2JHIv2ddJfnvO7pmc0XM27GS9D44N/1np3vXcC
 e7PSPK8uNs4Rk0su8Jj/t1lE32QAedNHbFF5U4++vemsybK0FFC7sA6R8vCfsGn5PSRZWDZYW
 8p9XKqI1aafmn1eZaYSPyra732QEmJRLqW532ccsaIC9RRQMI2qWjt1iadxJfyi2APo27bPkK
 /dW7hyp
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.13
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 13.07.19 15:35, Lars Ingebrigtsen wrote:
> Glenn Linderman <v+python@HIDDEN> writes:
>
>> I think you understood correctly.  I'm not sure what version of which
>> Python-mode I have, but could probably figure it out somehow (I love emacs,
>> because it has extensions, but I'm not real good at writing or understanding
>> elisp: I use other people's extensions, mostly, and a bit of cut-n-paste
>> programming for a few more customizations).
>>
>> Probably the following message, that I get every time I open the file.
>>
>> "Warning: no abbrev-file found, customize `abbrev-file-name' in order to make
>> mode-specific abbrevs work."
> Right.  Some modes are chatty at startup and hides warnings you're
> interested in.
>
> It's perfectly valid to not want to load an autosaved file, and making
> Emacs prompt would be an inconvenience, in my opinion.
>
> Perhaps Emacs should treat auto-saved files a bit more like what it does
> with files that have changed?  I.e., if you try to edit a file with an
> auto-save file, it should prompt you something like "foo has auto save
> data; really edit the buffer?" or something?
>
> Would that make sense?
>

Hi,

python-mode.el developer here. As for the abbrev-file-name, assume 
that's a general warning from Emacs.

Looking for the value of abbrev-file-name and creating a file of that 
name if not existing should silence that warning.

Also auto-save issue seems not mode-related.

BTW bug-reports are welcome at 
https://gitlab.com/python-mode-devs/python-mode/issues

Best,

Andreas







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 13 Jul 2019 13:36:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 09:36:09 2019
Received: from localhost ([127.0.0.1]:41622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmIC9-0002lj-9V
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 09:36:09 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hmIC4-0002lY-Fa
 for 32581 <at> debbugs.gnu.org; Sat, 13 Jul 2019 09:36:07 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hmIBz-0000yh-NH; Sat, 13 Jul 2019 15:36:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Linderman <v+python@HIDDEN>
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
 <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN>
Date: Sat, 13 Jul 2019 15:35:59 +0200
In-Reply-To: <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN> (Glenn
 Linderman's message of "Fri, 12 Jul 2019 20:48:26 -0700")
Message-ID: <m3h87qoy4g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Linderman <v+python@HIDDEN> writes: > I think
 you understood correctly. I'm not sure what version of which > Python-mode
 I have, but could probably figure it out somehow (I love emacs, > because
 it has extensions, but I'm not real good [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Linderman <v+python@HIDDEN> writes:

> I think you understood correctly.  I'm not sure what version of which
> Python-mode I have, but could probably figure it out somehow (I love emacs,
> because it has extensions, but I'm not real good at writing or understanding
> elisp: I use other people's extensions, mostly, and a bit of cut-n-paste
> programming for a few more customizations).
>
> Probably the following message, that I get every time I open the file.
>
> "Warning: no abbrev-file found, customize `abbrev-file-name' in order to make
> mode-specific abbrevs work."

Right.  Some modes are chatty at startup and hides warnings you're
interested in.

It's perfectly valid to not want to load an autosaved file, and making
Emacs prompt would be an inconvenience, in my opinion.

Perhaps Emacs should treat auto-saved files a bit more like what it does
with files that have changed?  I.e., if you try to edit a file with an
auto-save file, it should prompt you something like "foo has auto save
data; really edit the buffer?" or something?

Would that make sense?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 13 Jul 2019 03:48:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 23:48:41 2019
Received: from localhost ([127.0.0.1]:41269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hm91c-0003Ue-PP
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 23:48:41 -0400
Received: from dragonfly.birch.relay.mailchannels.net ([23.83.209.51]:33355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <v+python@HIDDEN>) id 1hm91b-0003UW-G2
 for 32581 <at> debbugs.gnu.org; Fri, 12 Jul 2019 23:48:40 -0400
X-Sender-Id: interserver|x-authuser|email@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 9DA863418C5;
 Sat, 13 Jul 2019 03:48:37 +0000 (UTC)
Received: from webhosting2025.is.cc
 (100-96-11-126.trex.outbound.svc.cluster.local [100.96.11.126])
 (Authenticated sender: interserver)
 by relay.mailchannels.net (Postfix) with ESMTPA id 623B4341342;
 Sat, 13 Jul 2019 03:48:36 +0000 (UTC)
X-Sender-Id: interserver|x-authuser|email@HIDDEN
Received: from webhosting2025.is.cc ([TEMPUNAVAIL]. [64.20.52.82])
 (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.3); Sat, 13 Jul 2019 03:48:37 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: interserver|x-authuser|email@HIDDEN
X-MailChannels-Auth-Id: interserver
X-Befitting-Macabre: 5e258a67629ba61d_1562989717375_474773998
X-MC-Loop-Signature: 1562989717374:124094612
X-MC-Ingress-Time: 1562989717374
Received: from [71.94.8.251] (port=64790 helo=[192.168.43.252])
 by webhosting2025.is.cc with esmtpsa (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim 4.92) (envelope-from <v+python@HIDDEN>)
 id 1hm91P-003Ah3-DB; Fri, 12 Jul 2019 23:48:29 -0400
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
 <87sgrazmc0.fsf@HIDDEN>
From: Glenn Linderman <v+python@HIDDEN>
Message-ID: <81bd4ae4-60de-7a64-24e6-d6e43c89c13f@HIDDEN>
Date: Fri, 12 Jul 2019 20:48:26 -0700
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87sgrazmc0.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------C5366F2179B85241ED90C797"
Content-Language: en-US
X-OutGoing-Spam-Status: No, score=-1.0
X-AuthUser: email@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------C5366F2179B85241ED90C797
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

On 7/12/2019 7:42 PM, Lars Ingebrigtsen wrote:
> Glenn Linderman <v+python@HIDDEN> writes:
>
>> I have emacs open a certain large file at boot-time startup, because
>> the Python mode takes so long to parse it. So I guess I forgot to save
>> last night, did a windows shutdown, and this morning my work wasn't
>> there... but while emacs probably gave the warning, it was probably
>> wiped out by the next warning from the Python mode, and I don't sit
>> there and watch my computer boot up.  So by the time I noticed stuff
>> from last night was missing, the recover file had been rewritten with
>> the new edits.
> If I understand you correctly (and I may not), you're saying that when
> you open a Python file that has an auto-saved file, then Emacs says that
> an auto-saved file exists...  and then Python mode issues a message that
> overwrites that message?
>
> What is that Python-mode message?
>

I think you understood correctly.  I'm not sure what version of which 
Python-mode I have, but could probably figure it out somehow (I love 
emacs, because it has extensions, but I'm not real good at writing or 
understanding elisp: I use other people's extensions, mostly, and a bit 
of cut-n-paste programming for a few more customizations).

Probably the following message, that I get every time I open the file.

"Warning: no abbrev-file found, customize `abbrev-file-name' in order to 
make mode-specific abbrevs work."

And I find the following line in my .emacs file:

(add-to-list 'load-path "d:/my/py/emacs/python-mode.el-6.1.1")

--------------C5366F2179B85241ED90C797
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#330033" bgcolor="#FFFFFF">
    <div class="moz-cite-prefix">On 7/12/2019 7:42 PM, Lars Ingebrigtsen
      wrote:<br>
    </div>
    <blockquote type="cite" cite="mid:87sgrazmc0.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">Glenn Linderman <a class="moz-txt-link-rfc2396E" href="mailto:v+python@HIDDEN">&lt;v+python@HIDDEN&gt;</a> writes:

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">I have emacs open a certain large file at boot-time startup, because
the Python mode takes so long to parse it. So I guess I forgot to save
last night, did a windows shutdown, and this morning my work wasn't
there... but while emacs probably gave the warning, it was probably
wiped out by the next warning from the Python mode, and I don't sit
there and watch my computer boot up.  So by the time I noticed stuff
from last night was missing, the recover file had been rewritten with
the new edits.
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">
If I understand you correctly (and I may not), you're saying that when
you open a Python file that has an auto-saved file, then Emacs says that
an auto-saved file exists...  and then Python mode issues a message that
overwrites that message?

What is that Python-mode message?

</pre>
    </blockquote>
    <br>
    I think you understood correctly.  I'm not sure what version of
    which Python-mode I have, but could probably figure it out somehow
    (I love emacs, because it has extensions, but I'm not real good at
    writing or understanding elisp: I use other people's extensions,
    mostly, and a bit of cut-n-paste programming for a few more
    customizations).<br>
    <br>
    Probably the following message, that I get every time I open the
    file.<br>
    <br>
    "Warning: no abbrev-file found, customize `abbrev-file-name' in
    order to make mode-specific abbrevs work."<br>
    <br>
    And I find the following line in my .emacs file:<br>
    <br>
    (add-to-list 'load-path "d:/my/py/emacs/python-mode.el-6.1.1")<br>
  </body>
</html>

--------------C5366F2179B85241ED90C797--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at 32581 <at> debbugs.gnu.org:


Received: (at 32581) by debbugs.gnu.org; 13 Jul 2019 02:43:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 22:43:03 2019
Received: from localhost ([127.0.0.1]:41101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hm806-0007ed-Jo
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 22:43:02 -0400
Received: from quimby.gnus.org ([80.91.231.51]:54016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hm804-0007eE-76
 for 32581 <at> debbugs.gnu.org; Fri, 12 Jul 2019 22:43:00 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hm7zz-0004lZ-Gg; Sat, 13 Jul 2019 04:42:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Linderman <v+python@HIDDEN>
Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning
References: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
Date: Sat, 13 Jul 2019 04:42:55 +0200
In-Reply-To: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN> (Glenn
 Linderman's message of "Wed, 29 Aug 2018 21:34:52 -0700")
Message-ID: <87sgrazmc0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Glenn Linderman <v+python@HIDDEN> writes: > I have
 emacs
 open a certain large file at boot-time startup, because > the Python mode
 takes so long to parse it. So I guess I forgot to save > last night, did
 a windows shutdown, and this morning m [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32581
Cc: 32581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Linderman <v+python@HIDDEN> writes:

> I have emacs open a certain large file at boot-time startup, because
> the Python mode takes so long to parse it. So I guess I forgot to save
> last night, did a windows shutdown, and this morning my work wasn't
> there... but while emacs probably gave the warning, it was probably
> wiped out by the next warning from the Python mode, and I don't sit
> there and watch my computer boot up.  So by the time I noticed stuff
> from last night was missing, the recover file had been rewritten with
> the new edits.

If I understand you correctly (and I may not), you're saying that when
you open a Python file that has an auto-saved file, then Emacs says that
an auto-saved file exists...  and then Python mode issues a message that
overwrites that message?

What is that Python-mode message?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2018 04:35:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 00:35:16 2018
Received: from localhost ([127.0.0.1]:37774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvEfs-0005K6-9U
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 00:35:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <v+python@HIDDEN>) id 1fvEfp-0005Js-1P
 for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 00:35:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <v+python@HIDDEN>) id 1fvEfi-0000YE-Hn
 for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 00:35:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58751)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <v+python@HIDDEN>)
 id 1fvEfi-0000Y3-Cb
 for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 00:35:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49198)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <v+python@HIDDEN>) id 1fvEfg-0006eV-SW
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 00:35:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <v+python@HIDDEN>) id 1fvEfc-0000VE-Pz
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 00:35:04 -0400
Received: from bisque.maple.relay.mailchannels.net ([23.83.214.18]:12907)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <v+python@HIDDEN>)
 id 1fvEfc-0000UF-EJ
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 00:35:00 -0400
X-Sender-Id: interserver|x-authuser|email@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id D7EB61235AD
 for <bug-gnu-emacs@HIDDEN>; Thu, 30 Aug 2018 04:34:57 +0000 (UTC)
Received: from webhosting2025.is.cc (unknown [100.96.11.179])
 (Authenticated sender: interserver)
 by relay.mailchannels.net (Postfix) with ESMTPA id 7A59912397E
 for <bug-gnu-emacs@HIDDEN>; Thu, 30 Aug 2018 04:34:57 +0000 (UTC)
X-Sender-Id: interserver|x-authuser|email@HIDDEN
Received: from webhosting2025.is.cc (webhosting2025.is.cc [64.20.52.82])
 (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Thu, 30 Aug 2018 04:34:57 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: interserver|x-authuser|email@HIDDEN
X-MailChannels-Auth-Id: interserver
X-Sponge-Juvenile: 79778c461749f678_1535603697730_3111613466
X-MC-Loop-Signature: 1535603697730:4171980749
X-MC-Ingress-Time: 1535603697730
Received: from 24-241-130-245.dhcp.reno.nv.charter.com ([24.241.130.245]:52238
 helo=[192.168.43.252])
 by webhosting2025.is.cc with esmtpsa (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim 4.91) (envelope-from <v+python@HIDDEN>)
 id 1fvEfU-001sPh-Fn
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 00:34:55 -0400
To: bug-gnu-emacs@HIDDEN
From: Glenn Linderman <v+python@HIDDEN>
Subject: 24.4; make recover-file a prompt instead of a warning
Message-ID: <4cb978b3-9453-29c5-4757-4ef804bf5c54@HIDDEN>
Date: Wed, 29 Aug 2018 21:34:52 -0700
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="------------A2A7399B19096C354EDD45EB"
Content-Language: en-US
X-OutGoing-Spam-Status: No, score=-1.0
X-AuthUser: email@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

This is a multi-part message in MIME format.
--------------A2A7399B19096C354EDD45EB
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

--text follows this line--

I have emacs open a certain large file at boot-time startup, because the=20
Python
mode takes so long to parse it. So I guess I forgot to save last night,
did a windows shutdown, and this morning my work wasn't there... but
while emacs probably gave the warning, it was probably wiped out by the
next warning from the Python mode, and I don't sit there and watch my
computer boot up.=C2=A0 So by the time I noticed stuff from last night wa=
s
missing, the recover file had been rewritten with the new edits.

So it would be nice to have an optional way to make that warning require
a response before disappearing.




In GNU Emacs 24.4.1 (x86_64-w64-mingw32)
 =C2=A0of 2014-10-20 on KAEL
Windowing system distributor `Microsoft Corp.', version 6.3.9600
Configured using:
 =C2=A0`configure --prefix=3D/z/emacs --host=3Dx86_64-w64-mingw32
 =C2=A0--target=3Dx86_64-w64-mingw32 --build=3Dx86_64-w64-mingw32 --with-=
wide-int
 =C2=A0--with-jpeg --with-xpm --with-png --with-tiff --with-rsvg --with-x=
ml2
 =C2=A0--with-gnutls --with-xft --with-sound=3Dyes --with-file-notificati=
on=3Dyes
 =C2=A0--without-dbus --without-imagemagick 'CFLAGS=3D-Ofast
 =C2=A0-fomit-frame-pointer -funroll-loops -g0 -pipe' 'CPPFLAGS=3D-DNDEBU=
G
 =C2=A0-DDBUS_STATIC_BUILD' 'LDFLAGS=3D-static-libgcc -static-libstdc++ -=
static
 =C2=A0-s -Wl,-s''

Important settings:
 =C2=A0 value of $LANG: ENU
 =C2=A0 locale-coding-system: cp1252

Major mode: Py

Minor modes in effect:
 =C2=A0 shell-dirtrack-mode: t
 =C2=A0 which-function-mode: t
 =C2=A0 tooltip-mode: t
 =C2=A0 electric-indent-mode: t
 =C2=A0 mouse-wheel-mode: t
 =C2=A0 tool-bar-mode: t
 =C2=A0 menu-bar-mode: t
 =C2=A0 file-name-shadow-mode: t
 =C2=A0 global-font-lock-mode: t
 =C2=A0 font-lock-mode: t
 =C2=A0 blink-cursor-mode: t
 =C2=A0 auto-composition-mode: t
 =C2=A0 auto-encryption-mode: t
 =C2=A0 auto-compression-mode: t
 =C2=A0 size-indication-mode: t
 =C2=A0 column-number-mode: t
 =C2=A0 line-number-mode: t
 =C2=A0 transient-mark-mode: t

Recent input:
<switch-frame> <switch-frame> <switch-frame> <switch-frame>
<switch-frame> <switch-frame> C-x C-f b m u <tab> o
<tab> <return> <help-echo> <help-echo> <help-echo>
<down-mouse-1> <mouse-1> <help-echo> <help-echo> <help-echo>
<help-echo> <escape> x r e p o r t - e m a c s - b
u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Warning: no abbrev-file found, customize `abbrev-file-name' in order to=20
make mode-specific abbrevs work.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils add-log python-mode derived skeleton advice
help-fns easymenu cl-macs thingatpt flymake rx shell pcomplete cc-cmds
cc-engine cc-vars cc-defs compile cl gv comint ansi-color ring
whitespace edmacro kmacro cl-loaddefs cl-lib which-func imenu jka-compr
easy-mmode time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win
w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
w32notify w32 multi-tty emacs)

Memory information:
((conses 16 333400 168725)
 =C2=A0(symbols 56 23740 0)
 =C2=A0(miscs 48 54 117)
 =C2=A0(strings 32 28683 7091)
 =C2=A0(string-bytes 1 973909)
 =C2=A0(vectors 16 30900)
 =C2=A0(vector-slots 8 699691 5651)
 =C2=A0(floats 8 83 359)
 =C2=A0(intervals 56 741 1184)
 =C2=A0(buffers 960 12))


--------------A2A7399B19096C354EDD45EB
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>

    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3Dutf=
-8">
  </head>
  <body text=3D"#330033" bgcolor=3D"#FFFFFF">
    --text follows this line--<br>
    <br>
    I have emacs open a certain large file at boot-time startup, because
    the Python<br>
    mode takes so long to parse it. So I guess I forgot to save last
    night,<br>
    did a windows shutdown, and this morning my work wasn't there... but<=
br>
    while emacs probably gave the warning, it was probably wiped out by
    the<br>
    next warning from the Python mode, and I don't sit there and watch
    my<br>
    computer boot up.=C2=A0 So by the time I noticed stuff from last nigh=
t
    was<br>
    missing, the recover file had been rewritten with the new edits.<br>
    <br>
    So it would be nice to have an optional way to make that warning
    require<br>
    a response before disappearing.<br>
    <br>
    <br>
    <br>
    <br>
    In GNU Emacs 24.4.1 (x86_64-w64-mingw32)<br>
    =C2=A0of 2014-10-20 on KAEL<br>
    Windowing system distributor `Microsoft Corp.', version 6.3.9600<br>
    Configured using:<br>
    =C2=A0`configure --prefix=3D/z/emacs --host=3Dx86_64-w64-mingw32<br>
    =C2=A0--target=3Dx86_64-w64-mingw32 --build=3Dx86_64-w64-mingw32
    --with-wide-int<br>
    =C2=A0--with-jpeg --with-xpm --with-png --with-tiff --with-rsvg
    --with-xml2<br>
    =C2=A0--with-gnutls --with-xft --with-sound=3Dyes
    --with-file-notification=3Dyes<br>
    =C2=A0--without-dbus --without-imagemagick 'CFLAGS=3D-Ofast<br>
    =C2=A0-fomit-frame-pointer -funroll-loops -g0 -pipe' 'CPPFLAGS=3D-DND=
EBUG<br>
    =C2=A0-DDBUS_STATIC_BUILD' 'LDFLAGS=3D-static-libgcc -static-libstdc+=
+
    -static<br>
    =C2=A0-s -Wl,-s''<br>
    <br>
    Important settings:<br>
    =C2=A0 value of $LANG: ENU<br>
    =C2=A0 locale-coding-system: cp1252<br>
    <br>
    Major mode: Py<br>
    <br>
    Minor modes in effect:<br>
    =C2=A0 shell-dirtrack-mode: t<br>
    =C2=A0 which-function-mode: t<br>
    =C2=A0 tooltip-mode: t<br>
    =C2=A0 electric-indent-mode: t<br>
    =C2=A0 mouse-wheel-mode: t<br>
    =C2=A0 tool-bar-mode: t<br>
    =C2=A0 menu-bar-mode: t<br>
    =C2=A0 file-name-shadow-mode: t<br>
    =C2=A0 global-font-lock-mode: t<br>
    =C2=A0 font-lock-mode: t<br>
    =C2=A0 blink-cursor-mode: t<br>
    =C2=A0 auto-composition-mode: t<br>
    =C2=A0 auto-encryption-mode: t<br>
    =C2=A0 auto-compression-mode: t<br>
    =C2=A0 size-indication-mode: t<br>
    =C2=A0 column-number-mode: t<br>
    =C2=A0 line-number-mode: t<br>
    =C2=A0 transient-mark-mode: t<br>
    <br>
    Recent input:<br>
    &lt;switch-frame&gt; &lt;switch-frame&gt; &lt;switch-frame&gt;
    &lt;switch-frame&gt; <br>
    &lt;switch-frame&gt; &lt;switch-frame&gt; C-x C-f b m u &lt;tab&gt;
    o <br>
    &lt;tab&gt; &lt;return&gt; &lt;help-echo&gt; &lt;help-echo&gt;
    &lt;help-echo&gt; <br>
    &lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;help-echo&gt;
    &lt;help-echo&gt; &lt;help-echo&gt; <br>
    &lt;help-echo&gt; &lt;escape&gt; x r e p o r t - e m a c s - b <br>
    u g &lt;return&gt;<br>
    <br>
    Recent messages:<br>
    For information about GNU Emacs and the GNU system, type C-h C-a.<br>
    Warning: no abbrev-file found, customize `abbrev-file-name' in order
    to make mode-specific abbrevs work. <br>
    <br>
    Load-path shadows:<br>
    None found.<br>
    <br>
    Features:<br>
    (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822
    mml<br>
    mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev<b=
r>
    gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util<br>
    mail-prsvr mail-utils add-log python-mode derived skeleton advice<br>
    help-fns easymenu cl-macs thingatpt flymake rx shell pcomplete
    cc-cmds<br>
    cc-engine cc-vars cc-defs compile cl gv comint ansi-color ring<br>
    whitespace edmacro kmacro cl-loaddefs cl-lib which-func imenu
    jka-compr<br>
    easy-mmode time-date tooltip electric uniquify ediff-hook vc-hooks<br=
>
    lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table
    w32-win<br>
    w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list<=
br>
    newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow
    timer<br>
    select scroll-bar mouse jit-lock font-lock syntax facemenu font-core<=
br>
    frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai<br>
    tai-viet lao korean japanese hebrew greek romanian slovak czech
    european<br>
    ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook
    help<br>
    simple abbrev minibuffer nadvice loaddefs button faces cus-face
    macroexp<br>
    files text-properties overlay sha1 md5 base64 format env code-pages
    mule<br>
    custom widget hashtable-print-readable backquote
    make-network-process<br>
    w32notify w32 multi-tty emacs)<br>
    <br>
    Memory information:<br>
    ((conses 16 333400 168725)<br>
    =C2=A0(symbols 56 23740 0)<br>
    =C2=A0(miscs 48 54 117)<br>
    =C2=A0(strings 32 28683 7091)<br>
    =C2=A0(string-bytes 1 973909)<br>
    =C2=A0(vectors 16 30900)<br>
    =C2=A0(vector-slots 8 699691 5651)<br>
    =C2=A0(floats 8 83 359)<br>
    =C2=A0(intervals 56 741 1184)<br>
    =C2=A0(buffers 960 12))<br>
    <br>
  </body>
</html>

--------------A2A7399B19096C354EDD45EB--




Acknowledgement sent to Glenn Linderman <v+python@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32581; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.